Bug 115224 - /etc/ccm/ccm.classpath references directories which don't exist
/etc/ccm/ccm.classpath references directories which don't exist
Status: CLOSED RAWHIDE
Product: Red Hat Web Application Framework
Classification: Retired
Component: installation (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
Jon Orris
:
Depends On:
Blocks: 113496
  Show dependency treegraph
 
Reported: 2004-02-09 06:24 EST by Daniel Berrange
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-05 15:28:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-02-09 06:24:32 EST
Description of problem:
/etc/ccm/ccm.classpath references directories in
/usr/sharwe/java/[appname]/ for all applications, even though only
Core & CMS actually contain these dirs. This causes ccm hostinit to
fail with an NPE at the for() loop in HostInit.java:


    private static void copyDirectory(File dir, File dest) throws
IOException {
        File[] files = dir.listFiles();
        if (dir == null) {
            err("unable to get directory listing: " + dir);
        }
        for (int i = 0; i < files.length; i++) {
            Files.copy(files[i], dest, Files.IGNORE_EXISTING);
        }
    }


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Run ccm hostinit
2.
3.
  
Actual results:
NPE on first app which doesn't contain /usr/share/java/[appname]

Expected results:
Hostinit completes.

Additional info:
Comment 1 Dennis Gregorovic 2004-02-09 17:33:30 EST
@40218

Note You need to log in before you can comment on or make changes to this bug.